Affiliates
List affiliate customers
Developer API operation for GET /dev/v1/affiliates/customers.
GET
/
dev
/
v1
/
affiliates
/
customers
List affiliate customers
curl --request GET \
--url https://api.shoppex.io/dev/v1/affiliates/customers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/affiliates/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/affiliates/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/affiliates/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/affiliates/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"customers": [
{
"id": "cus_1",
"affiliate_link_id": "alink_1",
"customer_id": "cus_1",
"email": "[email protected]",
"name": "Creator",
"code": "creator",
"url": "https://demo.shoppex.io?via=creator",
"total_sales": 4,
"total_revenue": 180,
"total_commission": 36,
"available_balance": 12,
"status": "approved",
"is_active": true,
"is_approved": true,
"joined_at": "2026-03-15T10:00:00.000Z",
"updated_at": "2026-03-15T11:00:00.000Z"
}
],
"total": 1
}
}⌘I
List affiliate customers
